Index: c/src/exec/score/cpu/a29k/ChangeLog
===================================================================
--- c/src/exec/score/cpu/a29k/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/a29k/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/a29k/Makefile.am
===================================================================
--- c/src/exec/score/cpu/a29k/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/a29k/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = amd.ah asm.h pswmacro.ah register.ah
+include_HEADERS = amd.ah asm.h pswmacro.ah register.ah
 
 S_FILES = cpu_asm.S sig.S
@@ -39,5 +39,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -48,6 +48,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = amd.ah asm.h cpu.c cpu_asm.S pswmacro.ah register.ah rtems.c \
-    sig.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c sig.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/a29k/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/a29k/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/a29k/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,7 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = a29k.h a29ktypes.h cpu.h cpu_asm.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+
+include_rtems_score_HEADERS = a29k.h a29ktypes.h cpu.h cpu_asm.h
 
 #
@@ -13,5 +14,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/arm/ChangeLog
===================================================================
--- c/src/exec/score/cpu/arm/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/arm/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/arm/Makefile.am
===================================================================
--- c/src/exec/score/cpu/arm/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/arm/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -14,5 +14,5 @@
 S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S
+EXTRA_DIST = cpu.c cpu_asm.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/arm/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/arm/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/arm/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h arm.h armtypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h arm.h armtypes.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/c4x/ChangeLog
===================================================================
--- c/src/exec/score/cpu/c4x/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/c4x/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/c4x/Makefile.am
===================================================================
--- c/src/exec/score/cpu/c4x/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/c4x/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h c4xio.h
+include_HEADERS = asm.h c4xio.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c irq.c cpu_asm.S c4xio.h rtems.c
+EXTRA_DIST = cpu.c irq.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/c4x/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/c4x/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/c4x/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h c4x.h c4xtypes.h cpu_asm.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h c4x.h c4xtypes.h cpu_asm.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/h8300/ChangeLog
===================================================================
--- c/src/exec/score/cpu/h8300/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/h8300/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/h8300/Makefile.am
===================================================================
--- c/src/exec/score/cpu/h8300/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/h8300/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/h8300/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/h8300/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/h8300/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h h8300.h h8300types.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h h8300.h h8300types.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/hppa1.1/ChangeLog
===================================================================
--- c/src/exec/score/cpu/hppa1.1/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/hppa1.1/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,8 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Remove references to PROJECT_INCLUDE.
+	* rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/hppa1.1/Makefile.am
===================================================================
--- c/src/exec/score/cpu/hppa1.1/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/hppa1.1/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -18,13 +18,4 @@
 include $(top_srcdir)/../../../../../../automake/lib.am
 
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o: $(ARCH)/rtems.o
-	$(INSTALL_DATA) $< $@
-
 REL = $(ARCH)/rtems-cpu.rel
 
@@ -34,9 +25,7 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
-
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(PREINSTALL_FILES) $(rtems_cpu_rel_OBJECTS) $(REL) \
+all-local: $(ARCH) $(rtems_cpu_rel_OBJECTS) $(REL) \
     $(TMPINSTALL_FILES)
 
Index: c/src/exec/score/cpu/hppa1.1/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/hppa1.1/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/hppa1.1/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -2,12 +2,14 @@
 ## $Id$
 ##
+## FIXME: Handling of offsets.h needs to be reworked.
+##
+AUTOMAKE_OPTIONS = foreign 1.4
 
-AUTOMAKE_OPTIONS = foreign 1.4
+include_rtems_scoredir = $(includedir)/rtems/score
 
 GENOFFSETS = $(PROJECT_TOPdir)/tools/cpu/hppa1.1/genoffsets
 
 GENERIC_H_FILES = offsets.h
-STATIC_H_FILES = cpu.h cpu_asm.h hppa.h hppatypes.h
-noinst_HEADERS = $(STATIC_H_FILES)
+include_rtems_score_HEADERS = cpu.h cpu_asm.h hppa.h hppatypes.h
 
 #
@@ -19,8 +21,8 @@
 	$(GENOFFSETS) > $@
 
-CLEANFILES = offsets.h
+CLEANFILES += offsets.h
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(STATIC_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h) \
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h) \
     $(GENERIC_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
Index: c/src/exec/score/cpu/i386/ChangeLog
===================================================================
--- c/src/exec/score/cpu/i386/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i386/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/i386/Makefile.am
===================================================================
--- c/src/exec/score/cpu/i386/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i386/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -13,5 +13,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/i386/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/i386/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i386/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h i386.h i386types.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h i386.h i386types.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/i960/ChangeLog
===================================================================
--- c/src/exec/score/cpu/i960/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i960/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/i960/Makefile.am
===================================================================
--- c/src/exec/score/cpu/i960/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i960/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S i960RP.h rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S i960RP.h rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/i960/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/i960/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/i960/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h i960.h i960types.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h i960.h i960types.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/m68k/ChangeLog
===================================================================
--- c/src/exec/score/cpu/m68k/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/m68k/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/m68k/Makefile.am
===================================================================
--- c/src/exec/score/cpu/m68k/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/m68k/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h m68302.h m68360.h qsm.h sim.h
+include_HEADERS = asm.h m68302.h m68360.h qsm.h sim.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S m68302.h m68360.h memcpy.c qsm.h rtems.S \
-    sim.h
+EXTRA_DIST = cpu.c cpu_asm.S memcpy.c rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/m68k/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/m68k/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/m68k/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h m68k.h m68ktypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h m68k.h m68ktypes.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/mips/ChangeLog
===================================================================
--- c/src/exec/score/cpu/mips/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-12	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/mips/Makefile.am
===================================================================
--- c/src/exec/score/cpu/mips/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h idtcpu.h iregdef.h
+include_HEADERS = asm.h idtcpu.h iregdef.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S idtcpu.h iregdef.h \
-    rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/mips/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/mips/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h mips.h mipstypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h mips.h mipstypes.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/mips64orion/ChangeLog
===================================================================
--- c/src/exec/score/cpu/mips64orion/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips64orion/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/mips64orion/Makefile.am
===================================================================
--- c/src/exec/score/cpu/mips64orion/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips64orion/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h cpu_asm.h idtcpu.h idtmon.h iregdef.h
+include_HEADERS = asm.h cpu_asm.h idtcpu.h idtmon.h iregdef.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S cpu_asm.h idtcpu.h idtmon.h iregdef.h \
-    rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/mips64orion/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/mips64orion/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/mips64orion/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h mips64orion.h mipstypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h mips64orion.h mipstypes.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/no_cpu/ChangeLog
===================================================================
--- c/src/exec/score/cpu/no_cpu/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/no_cpu/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/no_cpu/Makefile.am
===================================================================
--- c/src/exec/score/cpu/no_cpu/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/no_cpu/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/no_cpu/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/no_cpu/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/no_cpu/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h no_cpu.h cpu_asm.h no_cputypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h no_cpu.h cpu_asm.h no_cputypes.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/or16/ChangeLog
===================================================================
--- c/src/exec/score/cpu/or16/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or16/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/or16/Makefile.am
===================================================================
--- c/src/exec/score/cpu/or16/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or16/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/or16/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/or16/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or16/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h or16.h cpu_asm.h or16types.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h or16.h cpu_asm.h or16types.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/or32/ChangeLog
===================================================================
--- c/src/exec/score/cpu/or32/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or32/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/or32/Makefile.am
===================================================================
--- c/src/exec/score/cpu/or32/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or32/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/or32/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/or32/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/or32/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h or32.h cpu_asm.h or32types.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS = cpu.h or32.h cpu_asm.h or32types.h
 
 #
@@ -13,5 +13,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/powerpc/ChangeLog
===================================================================
--- c/src/exec/score/cpu/powerpc/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/powerpc/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/powerpc/shared/Makefile.am
===================================================================
--- c/src/exec/score/cpu/powerpc/shared/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/powerpc/shared/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,7 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-ROOT_H_FILES = asm.h
-RTEMS_SCORE_H_FILES = ppc.h ppctypes.h
-noinst_HEADERS = $(ROOT_H_FILES) $(RTEMS_SCORE_H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+
+include_HEADERS = asm.h
+include_rtems_score_HEADERS = ppc.h ppctypes.h
 
 #
@@ -14,6 +15,6 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/rtems/score \
-    $(ROOT_H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
-    $(RTEMS_SCORE_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h) \
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE):
Index: c/src/exec/score/cpu/sh/ChangeLog
===================================================================
--- c/src/exec/score/cpu/sh/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sh/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/sh/Makefile.am
===================================================================
--- c/src/exec/score/cpu/sh/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sh/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -12,5 +12,5 @@
 SUBDIRS = rtems
 
-H_FILES = asm.h
+include_HEADERS= asm.h
 
 $(PROJECT_INCLUDE):
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
Index: c/src/exec/score/cpu/sh/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/sh/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sh/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,7 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h shtypes.h sh.h sh_io.h
-noinst_HEADERS = cpu.h shtypes.h sh.h sh_io.h
+include_rtems_scoredir = $(includedir)/rtems/score
+
+include_rtems_score_HEADERS = cpu.h shtypes.h sh.h sh_io.h
 
 #
@@ -13,5 +14,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/sparc/ChangeLog
===================================================================
--- c/src/exec/score/cpu/sparc/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sparc/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/sparc/Makefile.am
===================================================================
--- c/src/exec/score/cpu/sparc/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sparc/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/sparc/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/sparc/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/sparc/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,6 +5,7 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = cpu.h sparc.h sparctypes.h
-noinst_HEADERS = $(H_FILES)
+include_rtems_scoredir = $(includedir)/rtems/score
+
+include_rtems_score_HEADERS = cpu.h sparc.h sparctypes.h
 
 #
@@ -13,5 +14,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: c/src/exec/score/cpu/unix/ChangeLog
===================================================================
--- c/src/exec/score/cpu/unix/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/unix/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-25	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/cpu/unix/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/cpu/unix/rtems/score/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ c/src/exec/score/cpu/unix/rtems/score/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -5,9 +5,10 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
+include_rtems_scoredir = $(includedir)/rtems/score
+
 GENSIZE = $(PROJECT_TOPdir)/tools/cpu/unix/gensize
 
 GENERIC_H_FILES = unixsize.h
-STATIC_H_FILES = cpu.h unixtypes.h unix.h
-noinst_HEADERS = $(STATIC_H_FILES)
+include_rtems_score_HEADERS = cpu.h unixtypes.h unix.h
 
 #
@@ -22,6 +23,6 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
-    $(STATIC_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h) \
-    $(GENERIC_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
+    $(GENERIC_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h) \
+    $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 $(PROJECT_INCLUDE)/rtems/score:
Index: cpukit/score/cpu/a29k/ChangeLog
===================================================================
--- cpukit/score/cpu/a29k/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/a29k/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/a29k/Makefile.am
===================================================================
--- cpukit/score/cpu/a29k/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/a29k/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = amd.ah asm.h pswmacro.ah register.ah
+include_HEADERS = amd.ah asm.h pswmacro.ah register.ah
 
 S_FILES = cpu_asm.S sig.S
@@ -39,5 +39,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -48,6 +48,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = amd.ah asm.h cpu.c cpu_asm.S pswmacro.ah register.ah rtems.c \
-    sig.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c sig.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/arm/ChangeLog
===================================================================
--- cpukit/score/cpu/arm/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/arm/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/arm/Makefile.am
===================================================================
--- cpukit/score/cpu/arm/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/arm/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -14,5 +14,5 @@
 S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S
+EXTRA_DIST = cpu.c cpu_asm.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/c4x/ChangeLog
===================================================================
--- cpukit/score/cpu/c4x/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/c4x/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/c4x/Makefile.am
===================================================================
--- cpukit/score/cpu/c4x/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/c4x/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h c4xio.h
+include_HEADERS = asm.h c4xio.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c irq.c cpu_asm.S c4xio.h rtems.c
+EXTRA_DIST = cpu.c irq.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/h8300/ChangeLog
===================================================================
--- cpukit/score/cpu/h8300/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/h8300/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/h8300/Makefile.am
===================================================================
--- cpukit/score/cpu/h8300/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/h8300/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/hppa1.1/ChangeLog
===================================================================
--- cpukit/score/cpu/hppa1.1/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/hppa1.1/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,8 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Remove references to PROJECT_INCLUDE.
+	* rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/hppa1.1/Makefile.am
===================================================================
--- cpukit/score/cpu/hppa1.1/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/hppa1.1/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -18,13 +18,4 @@
 include $(top_srcdir)/../../../../../../automake/lib.am
 
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o: $(ARCH)/rtems.o
-	$(INSTALL_DATA) $< $@
-
 REL = $(ARCH)/rtems-cpu.rel
 
@@ -34,9 +25,7 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
-
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(PREINSTALL_FILES) $(rtems_cpu_rel_OBJECTS) $(REL) \
+all-local: $(ARCH) $(rtems_cpu_rel_OBJECTS) $(REL) \
     $(TMPINSTALL_FILES)
 
Index: cpukit/score/cpu/i386/ChangeLog
===================================================================
--- cpukit/score/cpu/i386/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/i386/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/i386/Makefile.am
===================================================================
--- cpukit/score/cpu/i386/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/i386/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -13,5 +13,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/i960/ChangeLog
===================================================================
--- cpukit/score/cpu/i960/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/i960/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/i960/Makefile.am
===================================================================
--- cpukit/score/cpu/i960/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/i960/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S i960RP.h rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S i960RP.h rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/m68k/Makefile.am
===================================================================
--- cpukit/score/cpu/m68k/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/m68k/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h m68302.h m68360.h qsm.h sim.h
+include_HEADERS = asm.h m68302.h m68360.h qsm.h sim.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S m68302.h m68360.h memcpy.c qsm.h rtems.S \
-    sim.h
+EXTRA_DIST = cpu.c cpu_asm.S memcpy.c rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/mips/ChangeLog
===================================================================
--- cpukit/score/cpu/mips/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/mips/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-12	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/mips/Makefile.am
===================================================================
--- cpukit/score/cpu/mips/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/mips/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h idtcpu.h iregdef.h
+include_HEADERS = asm.h idtcpu.h iregdef.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S idtcpu.h iregdef.h \
-    rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/mips64orion/ChangeLog
===================================================================
--- cpukit/score/cpu/mips64orion/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/mips64orion/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/mips64orion/Makefile.am
===================================================================
--- cpukit/score/cpu/mips64orion/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/mips64orion/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h cpu_asm.h idtcpu.h idtmon.h iregdef.h
+include_HEADERS = asm.h cpu_asm.h idtcpu.h idtmon.h iregdef.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,6 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S cpu_asm.h idtcpu.h idtmon.h iregdef.h \
-    rtems.c
+EXTRA_DIST = cpu.c cpu_asm.S rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/no_cpu/ChangeLog
===================================================================
--- cpukit/score/cpu/no_cpu/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/no_cpu/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/no_cpu/Makefile.am
===================================================================
--- cpukit/score/cpu/no_cpu/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/no_cpu/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/or16/ChangeLog
===================================================================
--- cpukit/score/cpu/or16/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/or16/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/or16/Makefile.am
===================================================================
--- cpukit/score/cpu/or16/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/or16/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/or32/ChangeLog
===================================================================
--- cpukit/score/cpu/or32/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/or32/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/or32/Makefile.am
===================================================================
--- cpukit/score/cpu/or32/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/or32/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 REL = $(ARCH)/rtems-cpu.rel
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -42,5 +42,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.c rtems.c
+EXTRA_DIST = cpu.c cpu_asm.c rtems.c
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/powerpc/ChangeLog
===================================================================
--- cpukit/score/cpu/powerpc/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/powerpc/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/sh/ChangeLog
===================================================================
--- cpukit/score/cpu/sh/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/sh/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/sh/Makefile.am
===================================================================
--- cpukit/score/cpu/sh/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/sh/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -12,5 +12,5 @@
 SUBDIRS = rtems
 
-H_FILES = asm.h
+include_HEADERS= asm.h
 
 $(PROJECT_INCLUDE):
@@ -33,5 +33,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-03	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/sparc/Makefile.am
===================================================================
--- cpukit/score/cpu/sparc/Makefile.am	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/sparc/Makefile.am	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -11,5 +11,5 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = asm.h
+include_HEADERS = asm.h
 
 S_FILES = cpu_asm.S
@@ -36,5 +36,5 @@
 	$(make-rel)
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
@@ -45,5 +45,5 @@
 .PRECIOUS: $(REL)
 
-EXTRA_DIST = asm.h cpu.c cpu_asm.S rtems.S
+EXTRA_DIST = cpu.c cpu_asm.S rtems.S
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: cpukit/score/cpu/unix/ChangeLog
===================================================================
--- cpukit/score/cpu/unix/ChangeLog	(revision eab41f63451e15e8b3d659420062068cbde53960)
+++ cpukit/score/cpu/unix/ChangeLog	(revision 329509fbdd9999e9bb3b3f5cd0a09c11cec12dad)
@@ -1,2 +1,7 @@
+2001-02-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am, rtems/score/Makefile.am: 
+	Apply include_*HEADERS instead of H_FILES.
+
 2001-01-25	Joel Sherrill <joel@OARcorp.com>
 
